/* OFFSETDATE.H - Framework header file */

#ifndef TRUE
#define TRUE       1
#endif

#ifndef FALSE
#define FALSE      0
#endif

#define FLAGCNT    6

#define HELP       0      /* -? help        */
#define DEBUG      1      /* -d debug mode  */
#define ELEMENT    2      /* -e=element     */
#define FORMAT     3      /* -f=format      */
#define OFFSET     4      /* -o=offset      */
#define TRUNCATE   5      /* -t truncate ON */

#define MAYBEMARK  '%'
#define BADMARK    '!'
#define OK         ' '
#define OPTLIST    "?de:f:o:t"

int readargs(int argc,
             char *argv[],
             int flags[],
             char **offset,
             char **element,
             char**format);
void showhelp();

